How to use Rexlang with more than 16 outputs 
============================================

This folder contains the source files for the simple example on how to use Rexlang
function block with up to 16*32 = 512 outputs.


## Prerequisites ##
- RexCore must be installed and running on target 
device to run the example

## Basic idea ##
Number of Rexlang output signals is physically restricted by 16. However, it is possible
to use one signal to hold up to 32 separate binary values. Rexlang output signals are 32b numbers.
This example shows how to split the range to get more outputs if you don't need full 32b range for one value.

There are two 16b numbers connected to Rexlang inputs. These two numbers are connected to one 32b number using
bit operations and sent to one Rexlang output.

In order to "decrypt" the output back to original values you can choose from two different approaches:
- Bitwise operation approaches
- Demux / mux approach

It is also possible to combine bit lengths (e.g. 2x 8bit, 1x 4bit, 12x binary - together 32b signal).

## Running the example ##
- The **exec.mdl* file is the project main file, open it with RexDraw.
- Compile and download the project to the target device.

## Documentation ##
- [Function blocks of the REX Control System](http://www.rexcontrols.com/media/HTML/DOC/ENGLISH/index.html)
- [Complete documentation of the REX Control System](http://www.rexcontrols.com/documentation-and-support)

## Additional information ##
- Visit the [REX Controls company webpage](http://www.rexcontrols.com) 
for more information about the example projects and developing advanced 
automation and control solutions using the REX Control System.